Imports DigitalData.Modules.Jobs
Imports DigitalData.Modules.Logging

Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim oLogConfig As New LogConfig(LogConfig.PathType.CustomPath, Application.StartupPath, Nothing, "Digital Data", "JobTest")
        oLogConfig.Debug = True
        Dim oJob As New GraphQLJob(oLogConfig)

        Dim oArgs As New GraphQLArgs() With {
            .Enabled = True,
            .Interval = 999,
            .QueryConfigPath = "E:\GraphQL"
        }
        oJob.Start(oArgs)

        MsgBox("Finished!", MsgBoxStyle.Critical)
    End Sub
End Class
